%bcond_with check

Summary:        This package provides an API to call the hooks defined in PEP 517
Name:           python-pep517
Version:        0.13.0
Release:        8%{?dist}
License:        MIT and ASL 2.0
URL:            https://pep517.readthedocs.io
Source0:        https://github.com/pypa/pep517/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel, python3-pytest, python3-pip, python3-tomli, python3-flit-core
BuildRequires:  pyproject-rpm-macros
Requires:       python3, python3-tomli

%description
PEP 517 specifies a standard API for systems which build Python packages.

PEP 660 extends it with a build mode that leads to editable installs.

This package contains wrappers around the hooks specified by PEP 517 and PEP 660. It provides:

 * A mechanism to call the hooks in a subprocess, so they are isolated from the current process.
 * Fallbacks for the optional hooks, so that frontends can call the hooks without checking which are defined.


%package -n     python3-pep517
Summary:        This package provides an API to call the hooks defined in PEP 517
Provides:       bundled(python3dist(tornado))

%description -n python3-pep517
PEP 517 specifies a standard API for systems which build Python packages.

PEP 660 extends it with a build mode that leads to editable installs.

This package contains wrappers around the hooks specified by PEP 517 and PEP 660. It provides:

 * A mechanism to call the hooks in a subprocess, so they are isolated from the current process.
 * Fallbacks for the optional hooks, so that frontends can call the hooks without checking which are defined.


%prep
%autosetup -n pep517-%{version}

sed -i '/--flake8$/d' pytest.ini
sed -i '/pytest-flake8/d' dev-requirements.txt


%build
%pyproject_wheel



%install
%pyproject_install

# We will not build python-testpath which is retired, so disable the check temporarily.
%if %{with check}
%check
PRE_BUILT_SETUPTOOLS_WHEEL=${SETUPTOOLS_WHEEL} PYTHONPATH=./pep517:.:${PYTHONPATH} %pytest --ignore=tests/test_meta.py
%endif



%files -n python3-pep517
%license LICENSE
%doc README.rst
%{python3_sitelib}/pep517/
%{python3_sitelib}/pep517-%{version}.dist-info/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-7
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-6
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.0-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 cunshunxia <cunshunxia@tencent.com> - 0.13.0-2
- disable tests temporarily.

* Mon Aug 29 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.13.0-1
- Initial building.
